aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStephen Arnold <sarnold@vctlabs.com>2017-04-04 14:29:46 -0700
committerStephen Arnold <sarnold@vctlabs.com>2017-04-04 14:29:46 -0700
commitb1da895d353e79a2c2a5fde43a60f794325af610 (patch)
treed2db6a3623560f58421ea41019ad1704ddab0db6
parentxf86-video-armada: new ebuild, xf86-video-armada video driver (diff)
downloadarm-b1da895d353e79a2c2a5fde43a60f794325af610.tar.gz
arm-b1da895d353e79a2c2a5fde43a60f794325af610.tar.bz2
arm-b1da895d353e79a2c2a5fde43a60f794325af610.zip
Remove cruft and update cairo-9999 EAPI/configure flags
Signed-off-by: Stephen Arnold <sarnold@vctlabs.com>
-rw-r--r--media-libs/mesa/mesa-10.2.4.ebuild533
-rw-r--r--media-libs/mesa/mesa-10.5.2.ebuild457
-rw-r--r--media-libs/mesa/mesa-9.1.6-r100.ebuild425
-rw-r--r--x11-libs/cairo/Manifest2
-rw-r--r--x11-libs/cairo/cairo-1.14.2-r1.ebuild179
-rw-r--r--x11-libs/cairo/cairo-1.14.2-r2.ebuild191
-rw-r--r--x11-libs/cairo/cairo-1.14.4.ebuild191
-rw-r--r--x11-libs/cairo/cairo-9999.ebuild51
8 files changed, 15 insertions, 2014 deletions
diff --git a/media-libs/mesa/mesa-10.2.4.ebuild b/media-libs/mesa/mesa-10.2.4.ebuild
deleted file mode 100644
index 0648af0..0000000
--- a/media-libs/mesa/mesa-10.2.4.ebuild
+++ /dev/null
@@ -1,533 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-r3"
- EXPERIMENTAL="true"
-fi
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-
-inherit base autotools multilib multilib-minimal flag-o-matic \
- python-any-r1 toolchain-funcs pax-utils ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/.0_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-# The code is MIT/X11.
-# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT SGI-B-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="i915 i965 ilo intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +dri3 +egl +gallium gbm gles1 gles2 +llvm +nptl
- opencl openvg osmesa pax_kernel openmax pic r600-llvm-compiler selinux
- vdpau wayland xvmc xa kernel_FreeBSD"
-
-REQUIRED_USE="
- llvm? ( gallium )
- openvg? ( egl gallium )
- opencl? (
- gallium
- video_cards_r600? ( r600-llvm-compiler )
- video_cards_radeon? ( r600-llvm-compiler )
- video_cards_radeonsi? ( r600-llvm-compiler )
- )
- openmax? ( gallium )
- gles1? ( egl )
- gles2? ( egl )
- r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeonsi video_cards_radeon ) )
- wayland? ( egl gbm )
- xa? ( gallium )
- video_cards_freedreno? ( gallium )
- video_cards_intel? ( || ( classic gallium ) )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_ilo? ( gallium )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_radeonsi? ( gallium llvm )
- video_cards_vmware? ( gallium )
- ${PYTHON_REQUIRED_USE}
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.54"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
- classic? ( app-admin/eselect-mesa )
- gallium? ( app-admin/eselect-mesa )
- >=app-admin/eselect-opengl-1.2.7
- >=dev-libs/expat-2.1.0-r3[${MULTILIB_USEDEP}]
- gbm? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP}] )
- dri3? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP}] )
- >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- >=x11-libs/libxshmfence-1.1[${MULTILIB_USEDEP}]
- >=x11-libs/libXdamage-1.1.4-r1[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXxf86vm-1.1.3[${MULTILIB_USEDEP}]
- >=x11-libs/libxcb-1.9.3[${MULTILIB_USEDEP}]
- llvm? (
- video_cards_radeonsi? ( || (
- >=dev-libs/elfutils-0.155-r1[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2[${MULTILIB_USEDEP}]
- ) )
- video_cards_r600? ( || (
- >=dev-libs/elfutils-0.155-r1[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2[${MULTILIB_USEDEP}]
- ) )
- !video_cards_r600? (
- video_cards_radeon? ( || (
- >=dev-libs/elfutils-0.155-r1[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2[${MULTILIB_USEDEP}]
- ) )
- )
- >=sys-devel/llvm-3.3-r3[${MULTILIB_USEDEP}]
- )
- opencl? (
- app-admin/eselect-opencl
- dev-libs/libclc
- )
- openmax? ( >=media-libs/libomxil-bellagio-0.9.3[${MULTILIB_USEDEP}] )
- vdpau? ( >=x11-libs/libvdpau-0.7[${MULTILIB_USEDEP}] )
- wayland? ( >=dev-libs/wayland-1.2.0[${MULTILIB_USEDEP}] )
- xvmc? ( >=x11-libs/libXvMC-1.0.8[${MULTILIB_USEDEP}] )
- ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- ${PYTHON_DEPS}
- llvm? (
- r600-llvm-compiler? ( sys-devel/llvm[video_cards_radeon] )
- video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
- )
- opencl? (
- >=sys-devel/llvm-3.3-r3[${MULTILIB_USEDEP}]
- >=sys-devel/clang-3.3[${MULTILIB_USEDEP}]
- >=sys-devel/gcc-4.6
- )
- sys-devel/bison
- sys-devel/flex
- sys-devel/gettext
- virtual/pkgconfig
- >=x11-proto/dri2proto-2.8-r1[${MULTILIB_USEDEP}]
- dri3? (
- >=x11-proto/dri3proto-1.0[${MULTILIB_USEDEP}]
- >=x11-proto/presentproto-1.0[${MULTILIB_USEDEP}]
- )
- >=x11-proto/glproto-1.4.16-r1[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.2.1-r1[${MULTILIB_USEDEP}]
- >=x11-proto/xf86driproto-2.1.1-r1[${MULTILIB_USEDEP}]
- >=x11-proto/xf86vidmodeproto-2.3.1-r1[${MULTILIB_USEDEP}]
-"
-
-S="${WORKDIR}/${MY_P}"
-EGIT_CHECKOUT_DIR=${S}
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- # warning message for bug 459306
- if use llvm && has_version sys-devel/llvm[!debug=]; then
- ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
- ewarn "detected! This can cause problems. For details, see bug 459306."
- fi
-
- python-any-r1_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-r3_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/${PN}-10.2-dont-require-llvm-for-r300.patch
-
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # fix for GL header issues on embedded
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/${P}-optional-gl-headers.patch
-
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- fi
-
- base_src_prepare
-
- eautoreconf
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm") "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- $(use_enable openvg gallium-egl)
- $(use_enable openmax omx)
- $(use_enable r600-llvm-compiler)
- $(use_enable vdpau)
- $(use_enable xa)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- gallium_enable video_cards_ilo ilo
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- gallium_enable video_cards_radeonsi radeonsi
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
-
- gallium_enable video_cards_freedreno freedreno
- # opencl stuff
- if use opencl; then
- myconf+="
- $(use_enable opencl)
- --with-opencl-libdir="${EPREFIX}/usr/$(get_libdir)/OpenCL/vendors/mesa"
- --with-clang-libdir="${EPREFIX}/usr/lib"
- "
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # on abi_x86_32 hardened we need to have asm disable
- if [[ ${ABI} == x86* ]] && use pic; then
- myconf+=" --disable-asm"
- fi
-
- # build fails with BSD indent, bug #428112
- use userland_GNU || export INDENT=cat
-
- econf \
- --enable-dri \
- --enable-glx \
- --enable-shared-glapi \
- $(use_enable !bindist texture-float) \
- $(use_enable debug) \
- $(use_enable dri3) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- --enable-llvm-shared-libs \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- PYTHON2="${PYTHON}" \
- ${myconf}
-}
-
-multilib_src_install() {
- emake install DESTDIR="${D}"
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- local x
- local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
- dodir ${gl_dir}/{lib,extensions,include/GL}
- for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include/GL \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
- if [ -d ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- fi
- done
- if use classic; then
- emake -C "${BUILD_DIR}/src/mesa/drivers/dri" DESTDIR="${D}" install
- fi
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
- if use opencl; then
- ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
- local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
- dodir ${cl_dir}/{lib,include}
- if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
- mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
- "${ED}"${cl_dir}
- fi
- if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
- mv -f "${ED}"/usr/include/CL \
- "${ED}"${cl_dir}/include
- fi
- eend $?
- fi
-
- if use openmax; then
- echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
- doenvd "${T}"/99mesaxdgomx
- keepdir /usr/share/mesa/xdg
- fi
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
-}
-
-multilib_src_test() {
- if use llvm; then
- local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
- pushd src/gallium/drivers/llvmpipe >/dev/null || die
- emake ${llvm_tests}
- pax-mark m ${llvm_tests}
- popd >/dev/null || die
- fi
- emake check
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # switch to xorg-x11 and back if necessary, bug #374647 comment 11
- OLD_IMPLEM="$(eselect opengl show)"
- if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
- eselect opengl set ${OPENGL_DIR}
- eselect opengl set ${OLD_IMPLEM}
- fi
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # Switch to mesa opencl
- if use opencl; then
- eselect opencl set --use-old ${PN}
- fi
-
- # run omxregister-bellagio to make the OpenMAX drivers known system-wide
- if use openmax; then
- ebegin "Registering OpenMAX drivers"
- BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
- OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
- omxregister-bellagio
- eend $?
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- local using_radeon r_flag
- for r_flag in ${RADEON_CARDS}; do
- if use video_cards_${r_flag}; then
- using_radeon=1
- break
- fi
- done
-
- if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-pkg_prerm() {
- if use openmax; then
- rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/media-libs/mesa/mesa-10.5.2.ebuild b/media-libs/mesa/mesa-10.5.2.ebuild
deleted file mode 100644
index 2b54a6f..0000000
--- a/media-libs/mesa/mesa-10.5.2.ebuild
+++ /dev/null
@@ -1,457 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-r3"
- EXPERIMENTAL="true"
-fi
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-
-inherit autotools multilib-minimal python-any-r1 pax-utils ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_P="${P/_/-}"
-FOLDER="${PV/_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-if [[ $PV == 9999* ]]; then
- SRC_URI=""
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_P}.tar.xz"
-fi
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-RESTRICT="!bindist? ( bindist )"
-
-INTEL_CARDS="i915 i965 ilo intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} freedreno nouveau tegra vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic d3d9 debug +dri3 +egl +gallium +gbm gles1 gles2 +llvm
- +nptl opencl osmesa pax_kernel openmax pic selinux +udev vaapi vdpau
- wayland xvmc xa kernel_FreeBSD"
-
-REQUIRED_USE="
- d3d9? ( dri3 gallium )
- llvm? ( gallium )
- opencl? ( gallium llvm )
- openmax? ( gallium )
- gles1? ( egl )
- gles2? ( egl )
- vaapi? ( gallium )
- vdpau? ( gallium )
- wayland? ( egl gbm )
- xa? ( gallium )
- video_cards_freedreno? ( gallium )
- video_cards_tegra? ( gallium )
- video_cards_intel? ( classic )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_ilo? ( gallium )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_radeonsi? ( gallium llvm )
- video_cards_vmware? ( gallium )
- ${PYTHON_REQUIRED_USE}
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.57"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- abi_x86_32? ( !app-emulation/emul-linux-x86-opengl[-abi_x86_32(-)] )
- classic? ( app-eselect/eselect-mesa )
- gallium? ( app-eselect/eselect-mesa )
- >=app-eselect/eselect-opengl-1.3.0
- udev? ( kernel_linux? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] ) )
- >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
- gbm? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
- dri3? ( >=virtual/libudev-215:=[${MULTILIB_USEDEP}] )
- >=x11-libs/libX11-1.6.2:=[${MULTILIB_USEDEP}]
- >=x11-libs/libxshmfence-1.1:=[${MULTILIB_USEDEP}]
- >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
- >=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
- >=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
- x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
- llvm? (
- video_cards_radeonsi? ( || (
- >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
- ) )
- !video_cards_r600? (
- video_cards_radeon? ( || (
- >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
- ) )
- )
- >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
- )
- opencl? (
- app-eselect/eselect-opencl
- dev-libs/libclc
- || (
- >=dev-libs/elfutils-0.155-r1:=[${MULTILIB_USEDEP}]
- >=dev-libs/libelf-0.8.13-r2:=[${MULTILIB_USEDEP}]
- )
- )
- openmax? ( >=media-libs/libomxil-bellagio-0.9.3:=[${MULTILIB_USEDEP}] )
- vaapi? ( >=x11-libs/libva-0.35.0:=[${MULTILIB_USEDEP}] )
- vdpau? ( >=x11-libs/libvdpau-0.7:=[${MULTILIB_USEDEP}] )
- wayland? ( >=dev-libs/wayland-1.2.0:=[${MULTILIB_USEDEP}] )
- xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
- ${LIBDRM_DEPSTRING}[video_cards_freedreno?,video_cards_tegra?,video_cards_nouveau?,video_cards_vmware?,${MULTILIB_USEDEP}]
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- llvm? (
- video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
- )
- opencl? (
- >=sys-devel/llvm-3.4.2:=[${MULTILIB_USEDEP}]
- >=sys-devel/clang-3.4.2:=[${MULTILIB_USEDEP}]
- >=sys-devel/gcc-4.6
- )
- sys-devel/gettext
- virtual/pkgconfig
- >=x11-proto/dri2proto-2.8-r1:=[${MULTILIB_USEDEP}]
- dri3? (
- >=x11-proto/dri3proto-1.0:=[${MULTILIB_USEDEP}]
- >=x11-proto/presentproto-1.0:=[${MULTILIB_USEDEP}]
- )
- >=x11-proto/glproto-1.4.17-r1:=[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.2.1-r1:=[${MULTILIB_USEDEP}]
- >=x11-proto/xf86driproto-2.1.1-r1:=[${MULTILIB_USEDEP}]
- >=x11-proto/xf86vidmodeproto-2.3.1-r1:=[${MULTILIB_USEDEP}]
- ${PYTHON_DEPS}
- $(python_gen_any_dep ">=dev-python/mako-0.7.3[\${PYTHON_USEDEP}]")
-"
-[[ ${PV} == "9999" ]] && DEPEND+="
- sys-devel/bison
- sys-devel/flex
-"
-
-S="${WORKDIR}/${MY_P}"
-EGIT_CHECKOUT_DIR=${S}
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/libGL.so*"
-QA_WX_LOAD="usr/lib*/libGL.so*"
-
-pkg_setup() {
- # warning message for bug 459306
- if use llvm && has_version sys-devel/llvm[!debug=]; then
- ewarn "Mismatch between debug USE flags in media-libs/mesa and sys-devel/llvm"
- ewarn "detected! This can cause problems. For details, see bug 459306."
- fi
-
- python-any-r1_pkg_setup
-}
-
-src_prepare() {
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- eautoreconf
-}
-
-multilib_src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="--with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm") "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable d3d9 nine)
- $(use_enable llvm gallium-llvm)
- $(use_enable openmax omx)
- $(use_enable vaapi va)
- $(use_enable vdpau)
- $(use_enable xa)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- gallium_enable video_cards_ilo ilo
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- gallium_enable video_cards_radeonsi radeonsi
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
-
- gallium_enable video_cards_freedreno freedreno
- gallium_enable video_cards_tegra tegra
- # opencl stuff
- if use opencl; then
- myconf+="
- $(use_enable opencl)
- --with-clang-libdir="${EPREFIX}/usr/lib"
- "
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # on abi_x86_32 hardened we need to have asm disable
- if [[ ${ABI} == x86* ]] && use pic; then
- myconf+=" --disable-asm"
- fi
-
- # build fails with BSD indent, bug #428112
- use userland_GNU || export INDENT=cat
-
- ECONF_SOURCE="${S}" \
- econf \
- --enable-dri \
- --enable-glx \
- --enable-shared-glapi \
- $(use_enable !bindist texture-float) \
- $(use_enable d3d9 nine) \
- $(use_enable debug) \
- $(use_enable dri3) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- $(use_enable !udev sysfs) \
- --enable-llvm-shared-libs \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- PYTHON2="${PYTHON}" \
- ${myconf}
-}
-
-multilib_src_install() {
- emake install DESTDIR="${D}"
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- fi
- done
- if use classic; then
- emake -C "${BUILD_DIR}/src/mesa/drivers/dri" DESTDIR="${D}" install
- fi
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
- if use opencl; then
- ebegin "Moving Gallium/Clover OpenCL implementation for dynamic switching"
- local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
- dodir ${cl_dir}/{lib,include}
- if [ -f "${ED}/usr/$(get_libdir)/libOpenCL.so" ]; then
- mv -f "${ED}"/usr/$(get_libdir)/libOpenCL.so* \
- "${ED}"${cl_dir}
- fi
- if [ -f "${ED}/usr/include/CL/opencl.h" ]; then
- mv -f "${ED}"/usr/include/CL \
- "${ED}"${cl_dir}/include
- fi
- eend $?
- fi
-
- if use openmax; then
- echo "XDG_DATA_DIRS=\"${EPREFIX}/usr/share/mesa/xdg\"" > "${T}/99mesaxdgomx"
- doenvd "${T}"/99mesaxdgomx
- keepdir /usr/share/mesa/xdg
- fi
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
-}
-
-multilib_src_test() {
- if use llvm; then
- local llvm_tests='lp_test_arit lp_test_arit lp_test_blend lp_test_blend lp_test_conv lp_test_conv lp_test_format lp_test_format lp_test_printf lp_test_printf'
- pushd src/gallium/drivers/llvmpipe >/dev/null || die
- emake ${llvm_tests}
- pax-mark m ${llvm_tests}
- popd >/dev/null || die
- fi
- emake check
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # Switch to mesa opencl
- if use opencl; then
- eselect opencl set --use-old ${PN}
- fi
-
- # run omxregister-bellagio to make the OpenMAX drivers known system-wide
- if use openmax; then
- ebegin "Registering OpenMAX drivers"
- BELLAGIO_SEARCH_PATH="${EPREFIX}/usr/$(get_libdir)/libomxil-bellagio0" \
- OMX_BELLAGIO_REGISTRY=${EPREFIX}/usr/share/mesa/xdg/.omxregister \
- omxregister-bellagio
- eend $?
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- if ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-pkg_prerm() {
- if use openmax; then
- rm "${EPREFIX}"/usr/share/mesa/xdg/.omxregister
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/media-libs/mesa/mesa-9.1.6-r100.ebuild b/media-libs/mesa/mesa-9.1.6-r100.ebuild
deleted file mode 100644
index 7ab32ba..0000000
--- a/media-libs/mesa/mesa-9.1.6-r100.ebuild
+++ /dev/null
@@ -1,425 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-9.1.6.ebuild,v 1.1 2013/08/02 12:52:38 chithanh Exp $
-
-EAPI=5
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-2"
- EXPERIMENTAL="true"
-fi
-
-PYTHON_COMPAT=( python{2_6,2_7} )
-
-inherit base autotools multilib flag-o-matic python-single-r1 toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_rc/-rc}"
-MY_SRC_P="${MY_PN}Lib-${PV/_rc/-rc}"
-
-FOLDER="${PV/_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${PN}-9.1-gentoo-patches-05.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-# The code is MIT/X11.
-# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT SGI-B-2.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="i915 i965 intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} nouveau vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl +gallium gbm gles1 gles2 +opengl +llvm +nptl
- openvg osmesa pax_kernel pic r600-llvm-compiler selinux +shared-glapi vdpau
- wayland xvmc xa xorg kernel_FreeBSD"
-
-REQUIRED_USE="
- llvm? ( gallium )
- openvg? ( egl gallium )
- gbm? ( shared-glapi )
- gles1? ( egl )
- gles2? ( egl )
- r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeon ) )
- wayland? ( egl )
- xa? ( gallium )
- xorg? ( gallium )
- video_cards_intel? ( || ( classic gallium ) )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_radeonsi? ( gallium llvm )
- video_cards_vmware? ( gallium )
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.42"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-admin/eselect-mesa )
- gallium? ( app-admin/eselect-mesa )
- >=app-admin/eselect-opengl-1.2.7
- dev-libs/expat
- gbm? ( virtual/udev )
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXxf86vm
- >=x11-libs/libxcb-1.8.1
- vdpau? ( >=x11-libs/libvdpau-0.4.1 )
- wayland? ( >=dev-libs/wayland-1.0.3 )
- xorg? (
- x11-base/xorg-server:=[-minimal]
- x11-libs/libdrm[libkms]
- )
- xvmc? ( >=x11-libs/libXvMC-1.0.6 )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- llvm? (
- >=sys-devel/llvm-2.9
- r600-llvm-compiler? ( sys-devel/llvm[video_cards_radeon] )
- video_cards_radeonsi? ( sys-devel/llvm[video_cards_radeon] )
- )
- ${PYTHON_DEPS}
- dev-libs/libxml2[python,${PYTHON_USEDEP}]
- sys-devel/bison
- sys-devel/flex
- virtual/pkgconfig
- >=x11-proto/dri2proto-2.6
- opengl? ( >=x11-proto/glproto-1.4.15-r1 )
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- python-single-r1_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-2_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/${PN}-8.1-dont-require-llvm-for-r300.patch
- epatch "${FILESDIR}"/${PN}-9.1-optional-gl-headers.patch
-
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- fi
-
- # Tests fail against python-3, bug #407887
- sed -i 's|/usr/bin/env python|/usr/bin/env python2|' src/glsl/tests/compare_ir || die
-
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="
- --with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")
- $(use_enable gallium gallium-egl)
- "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- $(use_enable r600-llvm-compiler)
- $(use_enable vdpau)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- if ! use video_cards_i915; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- gallium_enable video_cards_radeonsi radeonsi
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # build fails with BSD indent, bug #428112
- use userland_GNU || export INDENT=cat
-
- econf \
- --enable-dri \
- --enable-glx \
- $(use_enable !bindist texture-float) \
- $(use_enable debug) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable opengl) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- $(use_enable !pic asm) \
- $(use_enable shared-glapi) \
- $(use_enable xa) \
- $(use_enable xorg) \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- PYTHON2="${PYTHON}" \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- find "${ED}" -name '*.la' -exec rm -f {} + || die
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.8.1" eselect-mesa.conf
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- local x
- local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
- dodir ${gl_dir}/{lib,extensions,include/GL}
- for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include/GL \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
- if [ -d ${x} ]; then
- mv -f "${x}" "${ED}${gl_dir}"/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-
- if use !opengl; then
- touch "${ED}/usr/$(get_libdir)/opengl/${OPENGL_DIR}/.gles-only"
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # switch to xorg-x11 and back if necessary, bug #374647 comment 11
- OLD_IMPLEM="$(eselect opengl show)"
- if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
- eselect opengl set ${OPENGL_DIR}
- eselect opengl set ${OLD_IMPLEM}
- fi
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- local using_radeon r_flag
- for r_flag in ${RADEON_CARDS}; do
- if use video_cards_${r_flag}; then
- using_radeon=1
- break
- fi
- done
-
- if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/x11-libs/cairo/Manifest b/x11-libs/cairo/Manifest
deleted file mode 100644
index 73eb15e..0000000
--- a/x11-libs/cairo/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST cairo-1.14.2.tar.xz 35376404 SHA256 c919d999ddb1bbbecd4bbe65299ca2abd2079c7e13d224577895afa7005ecceb SHA512 74d30f3f879f097b2c3408ef9698da8f337301f971c3eba7f336d02d6b2812d2ca0bd8bbc0cc7ee11127d3574910b1b77fde3b065cfd504436b62e17c2acb200 WHIRLPOOL fd57e1f474280a1df7a641bdcbe4dc5e5a71bd53b9e46e54302c7858e3bc0081fd1145f19133152819d259611096e4cca034c9caa73a748a507de9094f81a519
-DIST cairo-1.14.4.tar.xz 36040204 SHA256 f6ec9c7c844db9ec011f0d66b57ef590c45adf55393d1fc249003512522ee716 SHA512 b0d983c89ed31a53e26af89e174bb6df3e7c83cf482cbf975c839022ea84b74bb775599d24ca50f4482bbb6d6ef5d09ebb8273d08dfc928328f880344d4e66b2 WHIRLPOOL 88d8e1b622fb6b5c4530d558cf3a4c10ea83820e3e243b9d8c9e3436e3276e9824f028ae96aafd2f4ba349ec4e4a5c84767e7ecd5a5a1de87ef3953e5c61be6e
diff --git a/x11-libs/cairo/cairo-1.14.2-r1.ebuild b/x11-libs/cairo/cairo-1.14.2-r1.ebuild
deleted file mode 100644
index 98788d7..0000000
--- a/x11-libs/cairo/cairo-1.14.2-r1.ebuild
+++ /dev/null
@@ -1,179 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-inherit check-reqs eutils flag-o-matic autotools multilib-minimal
-
-if [[ ${PV} == *9999* ]]; then
- inherit git-r3
- EGIT_REPO_URI="git://anongit.freedesktop.org/git/cairo"
- SRC_URI=""
-else
- SRC_URI="http://cairographics.org/releases/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-fi
-
-DESCRIPTION="A vector graphics library with cross-device output support"
-HOMEPAGE="http://cairographics.org/"
-LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
-SLOT="0"
-IUSE="X aqua debug directfb gles2 +glib glx lto opengl static-libs +svg valgrind xcb -xlib-xcb"
-# gtk-doc regeneration doesn't seem to work with out-of-source builds
-#[[ ${PV} == *9999* ]] && IUSE="${IUSE} doc" # API docs are provided in tarball, no need to regenerate
-
-# Test causes a circular depend on gtk+... since gtk+ needs cairo but test needs gtk+ so we need to block it
-RESTRICT="test"
-
-RDEPEND=">=dev-libs/lzo-2.06-r1[${MULTILIB_USEDEP}]
- >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
- >=media-libs/freetype-2.5.0.1:2[${MULTILIB_USEDEP}]
- >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}]
- >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
- >=x11-libs/pixman-0.32.4[${MULTILIB_USEDEP}]
- directfb? ( dev-libs/DirectFB )
- gles2? ( >=media-libs/mesa-9.1.6[gles2,${MULTILIB_USEDEP}] )
- glib? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
- opengl? ( || ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] media-libs/opengl-apple ) )
- X? (
- >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- )
- xcb? (
- >=x11-libs/libxcb-1.9.1[${MULTILIB_USEDEP}]
- )
- abi_x86_32? (
- !<=app-emulation/emul-linux-x86-gtklibs-20131008-r1
- !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
- )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-2
- X? (
- >=x11-proto/renderproto-0.11.1-r1[${MULTILIB_USEDEP}]
- )"
-#[[ ${PV} == *9999* ]] && DEPEND="${DEPEND}
-# doc? (
-# >=dev-util/gtk-doc-1.6
-# ~app-text/docbook-xml-dtd-4.2
-# )"
-
-REQUIRED_USE="
- gles2? ( !opengl )
- xlib-xcb? ( xcb )
- glx? ( opengl )
-"
-
-MULTILIB_WRAPPED_HEADERS=(
- /usr/include/cairo/cairo-features.h
- /usr/include/cairo/cairo-directfb.h
-)
-
-CHECKREQS_MEMORY="768M"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != "binary" ]] && use lto; then
- einfo "Checking for sufficient memory to build $PN with USE=lto"
- check-reqs_pkg_pretend
- fi
-}
-
-pkg_setup() {
- if [[ ${MERGE_TYPE} != "binary" ]] && use lto; then
- check-reqs_pkg_setup
- fi
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.12.18-disable-test-suite.patch
- epatch "${FILESDIR}"/${PN}-respect-fontconfig.patch
-
- # tests and perf tools require X, bug #483574
- if ! use X; then
- sed -e '/^SUBDIRS/ s#boilerplate test perf# #' -i Makefile.am || die
- fi
-
- epatch_user
-
- # Slightly messed build system YAY
- if [[ ${PV} == *9999* ]]; then
- touch boilerplate/Makefile.am.features
- touch src/Makefile.am.features
- touch ChangeLog
- fi
-
- eautoreconf
-}
-
-multilib_src_configure() {
- local myopts
-
- [[ ${CHOST} == *-interix* ]] && append-flags -D_REENTRANT
-
- use elibc_FreeBSD && myopts+=" --disable-symbol-lookup"
-
- # TODO: remove this (and add USE-dep) when DirectFB is converted,
- # bug #484248 -- but beware of the circular dep.
- if ! multilib_is_native_abi; then
- myopts+=" --disable-directfb"
- fi
-
- # TODO: remove this (and add USE-dep) when qtgui is converted, bug #498010
- if ! multilib_is_native_abi; then
- myopts+=" --disable-qt"
- fi
-
- # [[ ${PV} == *9999* ]] && myopts+=" $(use_enable doc gtk-doc)"
-
- ECONF_SOURCE="${S}" \
- econf \
- --disable-dependency-tracking \
- $(use_with X x) \
- $(use_enable X tee) \
- $(use_enable X xlib) \
- $(use_enable X xlib-xrender) \
- $(use_enable aqua quartz) \
- $(use_enable aqua quartz-image) \
- $(use_enable debug test-surfaces) \
- $(use_enable directfb) \
- $(use_enable gles2 glesv2) \
- $(use_enable glib gobject) \
- $(use_enable glx) \
- $(use_enable lto) \
- $(use_enable opengl gl) \
- $(use_enable static-libs static) \
- $(use_enable svg) \
- $(use_enable valgrind) \
- $(use_enable xcb) \
- $(use_enable xcb xcb-shm) \
- $(use_enable xlib-xcb) \
- --enable-ft \
- --enable-pdf \
- --enable-png \
- --enable-ps \
- --disable-cogl \
- --disable-drm \
- --disable-gallium \
- --disable-qt \
- --disable-vg \
- ${myopts}
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-}
-
-pkg_postinst() {
- if use !xlib-xcb; then
- if has_version net-misc/nxserver-freenx \
- || has_version net-misc/x2goserver; then
- ewarn "cairo-1.12 is known to cause GTK+ errors with NX servers."
- ewarn "Enable USE=\"xlib-xcb\" if you notice incorrect behavior in GTK+"
- ewarn "applications that are running inside NX sessions. For details, see"
- ewarn "https://bugs.gentoo.org/441878 or https://bugs.freedesktop.org/59173"
- fi
- fi
-}
diff --git a/x11-libs/cairo/cairo-1.14.2-r2.ebuild b/x11-libs/cairo/cairo-1.14.2-r2.ebuild
deleted file mode 100644
index 4855095..0000000
--- a/x11-libs/cairo/cairo-1.14.2-r2.ebuild
+++ /dev/null
@@ -1,191 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit check-reqs eutils flag-o-matic autotools multilib-minimal
-
-if [[ ${PV} == *9999* ]]; then
- inherit git-r3
- EGIT_REPO_URI="git://anongit.freedesktop.org/git/cairo"
- SRC_URI=""
-else
- SRC_URI="http://cairographics.org/releases/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-fi
-
-DESCRIPTION="A vector graphics library with cross-device output support"
-HOMEPAGE="http://cairographics.org/"
-LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
-SLOT="0"
-IUSE="X aqua debug directfb drm gallium gles2 +glib glx lto opengl qt4 static-libs +svg valgrind xcb -xlib-xcb"
-# gtk-doc regeneration doesn't seem to work with out-of-source builds
-#[[ ${PV} == *9999* ]] && IUSE="${IUSE} doc" # API docs are provided in tarball, no need to regenerate
-
-# Test causes a circular depend on gtk+... since gtk+ needs cairo but test needs gtk+ so we need to block it
-RESTRICT="test"
-
-RDEPEND=">=dev-libs/lzo-2.06-r1[${MULTILIB_USEDEP}]
- >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
- >=media-libs/freetype-2.5.0.1:2[${MULTILIB_USEDEP}]
- >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}]
- sys-libs/binutils-libs:0=[${MULTILIB_USEDEP}]
- >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
- >=x11-libs/pixman-0.32.4[${MULTILIB_USEDEP}]
- directfb? ( dev-libs/DirectFB )
- gles2? ( >=media-libs/mesa-9.1.6[gles2,${MULTILIB_USEDEP}] )
- glib? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
- opengl? ( || ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] media-libs/opengl-apple ) )
- qt4? ( >=dev-qt/qtgui-4.8:4 )
- X? (
- >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- drm? (
- >=virtual/libudev-208:=[${MULTILIB_USEDEP}]
- gallium? ( >=media-libs/mesa-9.1.6[gallium,${MULTILIB_USEDEP}] )
- )
- )
- xcb? (
- >=x11-libs/libxcb-1.9.1[${MULTILIB_USEDEP}]
- )
- abi_x86_32? (
- !<=app-emulation/emul-linux-x86-gtklibs-20131008-r1
- !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
- )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-2
- X? (
- >=x11-proto/renderproto-0.11.1-r1[${MULTILIB_USEDEP}]
- drm? (
- >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.2.1-r1[${MULTILIB_USEDEP}]
- )
- )"
-#[[ ${PV} == *9999* ]] && DEPEND="${DEPEND}
-# doc? (
-# >=dev-util/gtk-doc-1.6
-# ~app-text/docbook-xml-dtd-4.2
-# )"
-
-REQUIRED_USE="
- drm? ( X )
- gallium? ( drm )
- gles2? ( !glx !drm )
- glx? ( !gles2 opengl )
- xlib-xcb? ( xcb )
-"
-
-MULTILIB_WRAPPED_HEADERS=(
- /usr/include/cairo/cairo-features.h
- /usr/include/cairo/cairo-directfb.h
-)
-
-CHECKREQS_MEMORY="768M"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != "binary" ]] && use lto; then
- einfo "Checking for sufficient memory to build $PN with USE=lto"
- check-reqs_pkg_pretend
- fi
-}
-
-pkg_setup() {
- if [[ ${MERGE_TYPE} != "binary" ]] && use lto; then
- check-reqs_pkg_setup
- fi
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.12.18-disable-test-suite.patch
- epatch "${FILESDIR}"/${PN}-respect-fontconfig.patch
-
- # tests and perf tools require X, bug #483574
- if ! use X; then
- sed -e '/^SUBDIRS/ s#boilerplate test perf# #' -i Makefile.am || die
- fi
-
- epatch_user
-
- # Slightly messed build system YAY
- if [[ ${PV} == *9999* ]]; then
- touch boilerplate/Makefile.am.features
- touch src/Makefile.am.features
- touch ChangeLog
- fi
-
- eautoreconf
-}
-
-multilib_src_configure() {
- local myopts
-
- [[ ${CHOST} == *-interix* ]] && append-flags -D_REENTRANT
-
- use elibc_FreeBSD && myopts+=" --disable-symbol-lookup"
-
- # TODO: remove this (and add USE-dep) when DirectFB is converted,
- # bug #484248 -- but beware of the circular dep.
- if ! multilib_is_native_abi; then
- myopts+=" --disable-directfb"
- fi
-
- # TODO: remove this (and add USE-dep) when qtgui is converted, bug #498010
- if ! multilib_is_native_abi; then
- myopts+=" --disable-qt"
- fi
-
- # [[ ${PV} == *9999* ]] && myopts+=" $(use_enable doc gtk-doc)"
-
- ECONF_SOURCE="${S}" \
- econf \
- --disable-dependency-tracking \
- $(use_with X x) \
- $(use_enable X tee) \
- $(use_enable X xlib) \
- $(use_enable X xlib-xrender) \
- $(use_enable aqua quartz) \
- $(use_enable aqua quartz-image) \
- $(use_enable debug test-surfaces) \
- $(use_enable drm) \
- $(use_enable directfb) \
- $(use_enable gallium) \
- $(use_enable gles2 glesv2) \
- $(use_enable glib gobject) \
- $(use_enable glx) \
- $(use_enable lto) \
- $(use_enable opengl gl) \
- $(use_enable static-libs static) \
- $(use_enable svg) \
- $(use_enable valgrind) \
- $(use_enable qt4 qt) \
- $(use_enable xcb) \
- $(use_enable xcb xcb-shm) \
- $(use_enable xlib-xcb) \
- --enable-ft \
- --enable-pdf \
- --enable-png \
- --enable-ps \
- --disable-vg \
- --disable-wgl \
- ${myopts}
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-}
-
-pkg_postinst() {
- if use !xlib-xcb; then
- if has_version net-misc/nxserver-freenx \
- || has_version net-misc/x2goserver; then
- ewarn "cairo-1.12 is known to cause GTK+ errors with NX servers."
- ewarn "Enable USE=\"xlib-xcb\" if you notice incorrect behavior in GTK+"
- ewarn "applications that are running inside NX sessions. For details, see"
- ewarn "https://bugs.gentoo.org/441878 or https://bugs.freedesktop.org/59173"
- fi
- fi
-}
diff --git a/x11-libs/cairo/cairo-1.14.4.ebuild b/x11-libs/cairo/cairo-1.14.4.ebuild
deleted file mode 100644
index d2e90ab..0000000
--- a/x11-libs/cairo/cairo-1.14.4.ebuild
+++ /dev/null
@@ -1,191 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit check-reqs eutils flag-o-matic autotools multilib-minimal
-
-if [[ ${PV} == *9999* ]]; then
- inherit git-r3
- EGIT_REPO_URI="git://anongit.freedesktop.org/git/cairo"
- SRC_URI=""
-else
- SRC_URI="http://cairographics.org/releases/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-fi
-
-DESCRIPTION="A vector graphics library with cross-device output support"
-HOMEPAGE="http://cairographics.org/"
-LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
-SLOT="0"
-IUSE="X aqua debug directfb drm gallium gles2 +glib glx lto opengl qt4 static-libs +svg valgrind xcb xlib-xcb"
-# gtk-doc regeneration doesn't seem to work with out-of-source builds
-#[[ ${PV} == *9999* ]] && IUSE="${IUSE} doc" # API docs are provided in tarball, no need to regenerate
-
-# Test causes a circular depend on gtk+... since gtk+ needs cairo but test needs gtk+ so we need to block it
-RESTRICT="test"
-
-RDEPEND=">=dev-libs/lzo-2.06-r1[${MULTILIB_USEDEP}]
- >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
- >=media-libs/freetype-2.5.0.1:2[${MULTILIB_USEDEP}]
- >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}]
- sys-libs/binutils-libs:0=[${MULTILIB_USEDEP}]
- >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
- >=x11-libs/pixman-0.32.4[${MULTILIB_USEDEP}]
- directfb? ( dev-libs/DirectFB )
- gles2? ( >=media-libs/mesa-9.1.6[gles2,${MULTILIB_USEDEP}] )
- glib? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
- opengl? ( || ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] media-libs/opengl-apple ) )
- qt4? ( >=dev-qt/qtgui-4.8:4 )
- X? (
- >=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- drm? (
- >=virtual/libudev-208:=[${MULTILIB_USEDEP}]
- gallium? ( >=media-libs/mesa-9.1.6[gallium,${MULTILIB_USEDEP}] )
- )
- )
- xcb? (
- >=x11-libs/libxcb-1.9.1[${MULTILIB_USEDEP}]
- )
- abi_x86_32? (
- !<=app-emulation/emul-linux-x86-gtklibs-20131008-r1
- !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
- )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- >=sys-devel/libtool-2
- X? (
- >=x11-proto/renderproto-0.11.1-r1[${MULTILIB_USEDEP}]
- drm? (
- >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.2.1-r1[${MULTILIB_USEDEP}]
- )
- )"
-#[[ ${PV} == *9999* ]] && DEPEND="${DEPEND}
-# doc? (
-# >=dev-util/gtk-doc-1.6
-# ~app-text/docbook-xml-dtd-4.2
-# )"
-
-REQUIRED_USE="
- drm? ( X )
- gallium? ( drm )
- gles2? ( !glx !drm )
- glx? ( !gles2 opengl )
- xlib-xcb? ( xcb )
-"
-
-MULTILIB_WRAPPED_HEADERS=(
- /usr/include/cairo/cairo-features.h
- /usr/include/cairo/cairo-directfb.h
-)
-
-CHECKREQS_MEMORY="768M"
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != "binary" ]] && use lto; then
- einfo "Checking for sufficient memory to build $PN with USE=lto"
- check-reqs_pkg_pretend
- fi
-}
-
-pkg_setup() {
- if [[ ${MERGE_TYPE} != "binary" ]] && use lto; then
- check-reqs_pkg_setup
- fi
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.12.18-disable-test-suite.patch
- epatch "${FILESDIR}"/${PN}-respect-fontconfig.patch
-
- # tests and perf tools require X, bug #483574
- if ! use X; then
- sed -e '/^SUBDIRS/ s#boilerplate test perf# #' -i Makefile.am || die
- fi
-
- epatch_user
-
- # Slightly messed build system YAY
- if [[ ${PV} == *9999* ]]; then
- touch boilerplate/Makefile.am.features
- touch src/Makefile.am.features
- touch ChangeLog
- fi
-
- eautoreconf
-}
-
-multilib_src_configure() {
- local myopts
-
- [[ ${CHOST} == *-interix* ]] && append-flags -D_REENTRANT
-
- use elibc_FreeBSD && myopts+=" --disable-symbol-lookup"
-
- # TODO: remove this (and add USE-dep) when DirectFB is converted,
- # bug #484248 -- but beware of the circular dep.
- if ! multilib_is_native_abi; then
- myopts+=" --disable-directfb"
- fi
-
- # TODO: remove this (and add USE-dep) when qtgui is converted, bug #498010
- if ! multilib_is_native_abi; then
- myopts+=" --disable-qt"
- fi
-
- # [[ ${PV} == *9999* ]] && myopts+=" $(use_enable doc gtk-doc)"
-
- ECONF_SOURCE="${S}" \
- econf \
- --disable-dependency-tracking \
- $(use_with X x) \
- $(use_enable X tee) \
- $(use_enable X xlib) \
- $(use_enable X xlib-xrender) \
- $(use_enable aqua quartz) \
- $(use_enable aqua quartz-image) \
- $(use_enable debug test-surfaces) \
- $(use_enable drm) \
- $(use_enable directfb) \
- $(use_enable gallium) \
- $(use_enable gles2 glesv2) \
- $(use_enable glib gobject) \
- $(use_enable glx) \
- $(use_enable lto) \
- $(use_enable opengl gl) \
- $(use_enable static-libs static) \
- $(use_enable svg) \
- $(use_enable valgrind) \
- $(use_enable qt4 qt) \
- $(use_enable xcb) \
- $(use_enable xcb xcb-shm) \
- $(use_enable xlib-xcb) \
- --enable-ft \
- --enable-pdf \
- --enable-png \
- --enable-ps \
- --disable-vg \
- --disable-wgl \
- ${myopts}
-}
-
-multilib_src_install_all() {
- prune_libtool_files --all
- einstalldocs
-}
-
-pkg_postinst() {
- if use !xlib-xcb; then
- if has_version net-misc/nxserver-freenx \
- || has_version net-misc/x2goserver; then
- ewarn "cairo-1.12 is known to cause GTK+ errors with NX servers."
- ewarn "Enable USE=\"xlib-xcb\" if you notice incorrect behavior in GTK+"
- ewarn "applications that are running inside NX sessions. For details, see"
- ewarn "https://bugs.gentoo.org/441878 or https://bugs.freedesktop.org/59173"
- fi
- fi
-}
diff --git a/x11-libs/cairo/cairo-9999.ebuild b/x11-libs/cairo/cairo-9999.ebuild
index 342ed08..4a5f2bd 100644
--- a/x11-libs/cairo/cairo-9999.ebuild
+++ b/x11-libs/cairo/cairo-9999.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
inherit eutils flag-o-matic autotools multilib-minimal
@@ -12,14 +12,14 @@ if [[ ${PV} == *9999* ]]; then
SRC_URI=""
else
SRC_URI="http://cairographics.org/releases/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="A vector graphics library with cross-device output support"
HOMEPAGE="http://cairographics.org/"
LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
SLOT="0"
-IUSE="X aqua debug -directfb -drm egl -gallium -gles2 +glib -glx -opengl qt4 static-libs +svg valgrind xcb -xlib-xcb"
+IUSE="X aqua debug directfb gles2 +glib opengl static-libs +svg valgrind xcb xlib-xcb"
# gtk-doc regeneration doesn't seem to work with out-of-source builds
#[[ ${PV} == *9999* ]] && IUSE="${IUSE} doc" # API docs are provided in tarball, no need to regenerate
@@ -34,19 +34,13 @@ RDEPEND=">=dev-libs/lzo-2.06-r1[${MULTILIB_USEDEP}]
>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
>=x11-libs/pixman-0.32.4[${MULTILIB_USEDEP}]
directfb? ( dev-libs/DirectFB )
- egl? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] )
gles2? ( >=media-libs/mesa-9.1.6[gles2,${MULTILIB_USEDEP}] )
glib? ( >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}] )
opengl? ( || ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] media-libs/opengl-apple ) )
- qt4? ( >=dev-qt/qtgui-4.8:4 )
X? (
>=x11-libs/libXrender-0.9.8[${MULTILIB_USEDEP}]
>=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
>=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- drm? (
- >=virtual/libudev-208:=[${MULTILIB_USEDEP}]
- gallium? ( >=media-libs/mesa-9.1.6[gallium,${MULTILIB_USEDEP}] )
- )
)
xcb? (
>=x11-libs/libxcb-1.9.1[${MULTILIB_USEDEP}]
@@ -60,10 +54,6 @@ DEPEND="${RDEPEND}
>=sys-devel/libtool-2
X? (
>=x11-proto/renderproto-0.11.1-r1[${MULTILIB_USEDEP}]
- drm? (
- >=x11-proto/xproto-7.0.24[${MULTILIB_USEDEP}]
- >=x11-proto/xextproto-7.2.1-r1[${MULTILIB_USEDEP}]
- )
)"
#[[ ${PV} == *9999* ]] && DEPEND="${DEPEND}
# doc? (
@@ -72,31 +62,27 @@ DEPEND="${RDEPEND}
# )"
REQUIRED_USE="
- drm? ( X )
- gallium? ( drm )
- egl? ( !glx !drm )
- gles2? ( !glx !drm )
- glx? ( !gles2 opengl )
+ gles2? ( !opengl )
xlib-xcb? ( xcb )
"
MULTILIB_WRAPPED_HEADERS=(
- /usr/include/cairo/cairo-features.h
/usr/include/cairo/cairo-directfb.h
)
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.12.18-disable-test-suite.patch
+ "${FILESDIR}"/${PN}-respect-fontconfig.patch
+)
+
src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.12.18-disable-test-suite.patch
- epatch "${FILESDIR}"/${PN}-respect-fontconfig.patch
- epatch "${FILESDIR}"/${PN}-drm_missing_include.patch
+ default
# tests and perf tools require X, bug #483574
if ! use X; then
sed -e '/^SUBDIRS/ s#boilerplate test perf# #' -i Makefile.am || die
fi
- epatch_user
-
# Slightly messed build system YAY
if [[ ${PV} == *9999* ]]; then
touch boilerplate/Makefile.am.features
@@ -110,10 +96,7 @@ src_prepare() {
multilib_src_configure() {
local myopts
- [[ ${CHOST} == *-interix* ]] && append-cppflags -D_REENTRANT
-
- strip-flags "-D*_SOURCE"
- append-cppflags -D_DEFAULT_SOURCE
+ [[ ${CHOST} == *-interix* ]] && append-flags -D_REENTRANT
use elibc_FreeBSD && myopts+=" --disable-symbol-lookup"
@@ -140,28 +123,24 @@ multilib_src_configure() {
$(use_enable aqua quartz) \
$(use_enable aqua quartz-image) \
$(use_enable debug test-surfaces) \
- $(use_enable drm) \
$(use_enable directfb) \
- $(use_enable egl) \
- $(use_enable gallium) \
$(use_enable gles2 glesv2) \
$(use_enable glib gobject) \
- $(use_enable glx) \
$(use_enable opengl gl) \
$(use_enable static-libs static) \
$(use_enable svg) \
$(use_enable valgrind) \
- $(use_enable qt4 qt) \
$(use_enable xcb) \
$(use_enable xcb xcb-shm) \
$(use_enable xlib-xcb) \
--enable-ft \
- --enable-fc
--enable-pdf \
--enable-png \
--enable-ps \
+ --disable-drm \
+ --disable-gallium \
+ --disable-qt \
--disable-vg \
- --disable-wgl \
${myopts}
}